
#startup_session ~/.kitty

# FONT
#font_family	JetBrainsMono-Medium
font_family JetBrainsMono NF Medium
bold_font        auto
italic_font      auto
bold_italic_font auto
font_size 12.0
background_opacity 0.90
#active_border_color #458588

#Multiplexed
#window_margin_width     10
#background_tint         0.97
#background_tint_gaps    -10.0
#window_border_width     1pt


#select_by_word_characters @-./_~?&=%+#
#pointer_shape_when_grabbed arrow
#default_pointer_shape arrow
#pointer_shape_when_dragging arrow


#enable_cursor_trail yes
cursor_trail 3
cursor_trail_decay 0.1 0.4
cursor_trail_start_threshold 2

# Copy & Paste
copy_on_select yes
#copy_or_interrupt
#paste_from_clipboard
clipboard_control write-clipboard write-primary read-clipboard read-primary


# HOTKEYS
map alt+c copy_to_clipboard
map alt+v paste_from_clipboard
map shift+insert paste_from_clipboard
map ctrl+n new_tab_with_cwd
map ctrl+right next_tab
map ctrl+left previous_tab
map ctrl+q close_tab
map ctrl+up scroll_line_up
map ctrl+down scroll_line_down
map shift+up scroll_page_up
map shift+down scroll_page_down
map ctrl+equal change_font_size all +2.0
map ctrl+minus change_font_size all -2.0
map alt+f5 load_config_file
map shift+left previous_window
map shift+right next_window
#map f1 new_window_with_cwd

# OTHER
editor nvim
visual_bell_duration 0.6
window_alert_on_bell no
enable_audio_bell no
visual_bell_color #000000
bell_on_tab " "
tab_activity_symbol "●"
cursor_blink_interval -4
update_check_interval 0
cursor_shape block
shell_integration no-cursor
strip_trailing_spaces always
confirm_os_window_close 0


# TABS
#tab_bar_style fade
#tab_bar_edge down 
#tab_bar_align center
#tab_powerline_style slanted 


tab_bar_edge top
#tab_bar_margin_width 0.0
tab_bar_style powerline
tab_fade 0.80 0.89 0.97
tab_powerline_style slanted
#tab_title_max_length 12
tab_title_template  " {index} {title} "
#active_tab_foreground   #000000
#active_tab_background   #1FA0F0
#active_tab_font_style   bold-italic
#inactive_tab_foreground #cdcdcd
#inactive_tab_background #222325
#inactive_tab_font_style normal
#tab_bar_background #161616
tab_bar_margin_color none

active_tab_foreground   #282828
active_tab_background   #fabd2f
active_tab_font_style bold
inactive_tab_foreground #ebdbb2
inactive_tab_background #282828
inactive_tab_font_style normal

# HYPERLINKS
detect_urls yes
allow_hyperlinks yes
open_url_with default
url_prefixes file ftp ftps gemini git gopher http https irc ircs kitty mailto news sftp ssh
url_color #00bd36
url_style curly

# COLOR
include /home/$USER/.config/kitty/themes/gruvbox_dark.conf

